## ros-noetic-universal-robots 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(universal_robots)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-universal-robots (1.3.1-1buster) buster; urgency=high

  * [meta]: Remove ur_kinematics package for now (#620 <https://github.com/ros-industrial/universal_robot/issues/620>)
    With the dependency we cannot release the metapackage for now, since it is not released.
  * Contributors: Felix Exner (fexner)

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 10 Nov 2022 23:00:00 -0000

ros-noetic-universal-robots (1.3.0-1buster) buster; urgency=high

  * Merge melodic-devel-staging #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
  * Update MoveIt! support (#538 <https://github.com/ros-industrial/universal_robot/issues/538>)
    Update dependencies of meta package
  * Increase minimum CMake version to allow builds on Focal Fossa (Noetic) (#586 <https://github.com/ros-industrial/universal_robot/issues/586>)
  * Remove ur_msgs package from the metapackage (#542 <https://github.com/ros-industrial/universal_robot/issues/542>)
    There are no direct dependants any more in this repository.
  * Merge pull request #498 <https://github.com/ros-industrial/universal_robot/issues/498> from gavanderhoorn/remove_ur_driver
    Remove obsolete driver and bringup pkgs
  * meta: remove driver and bringup.
  * Merge pull request #371 <https://github.com/ros-industrial/universal_robot/issues/371> from ipa-led/ur_description_args
    Urdf with args and yaml configuration
  * deleted ur_e specific repositories
    * moved ur_e_description meshes files to ur_description
  * Contributors: Felix Exner, Felix Exner (fexner), G.A. vd. Hoorn, Ludovic Delval, Nadia Hammoudeh García, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 09 Nov 2022 23:00:00 -0000

ros-noetic-universal-robots (1.2.5-1buster) buster; urgency=high

  * First release (of this package)
  * Contributors: gavanderhoorn, Nadia Hammoudeh García

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-universal-robots
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/universal_robots
Standards-Version: 3.9.2

Package: ros-noetic-universal-robots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-ur-description, ros-noetic-ur-gazebo, ros-noetic-ur10-moveit-config, ros-noetic-ur10e-moveit-config, ros-noetic-ur16e-moveit-config, ros-noetic-ur3-moveit-config, ros-noetic-ur3e-moveit-config, ros-noetic-ur5-moveit-config, ros-noetic-ur5e-moveit-config
Description: ROS-Industrial support for Universal Robots manipulators (metapackage).

## ros-noetic-universal-robots 1.4.0

=== debian/changelog ===
ros-noetic-universal-robots (1.4.0-1focal) focal; urgency=high

  * Add moveit configs for ur7e and ur12e to metapackage (#693 <https://github.com/ros-industrial/universal_robot/issues/693>)
  * Contributors: Felix Exner

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 30 Mar 2025 22:00:00 -0000

ros-noetic-universal-robots (1.3.3-1focal) focal; urgency=high

  * UR30 description and meshes (#674 <https://github.com/ros-industrial/universal_robot/issues/674>)
  * Contributors: Vincenzo Di Pentima

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Apr 2024 22:00:00 -0000

ros-noetic-universal-robots (1.3.2-1focal) focal; urgency=high

  * UR20 description and meshes (#657 <https://github.com/ros-industrial/universal_robot/issues/657>)
  * Contributors: Rune Søe-Knudsen

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 17 Dec 2023 23:00:00 -0000

ros-noetic-universal-robots (1.3.1-1focal) focal; urgency=high

  * [meta]: Remove ur_kinematics package for now (#620 <https://github.com/ros-industrial/universal_robot/issues/620>)
    With the dependency we cannot release the metapackage for now, since it is not released.
  * Contributors: Felix Exner (fexner)

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 10 Nov 2022 23:00:00 -0000

ros-noetic-universal-robots (1.3.0-1focal) focal; urgency=high

  * Merge melodic-devel-staging #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
  * Update MoveIt! support (#538 <https://github.com/ros-industrial/universal_robot/issues/538>)
    Update dependencies of meta package
  * Increase minimum CMake version to allow builds on Focal Fossa (Noetic) (#586 <https://github.com/ros-industrial/universal_robot/issues/586>)
  * Remove ur_msgs package from the metapackage (#542 <https://github.com/ros-industrial/universal_robot/issues/542>)
    There are no direct dependants any more in this repository.
  * Merge pull request #498 <https://github.com/ros-industrial/universal_robot/issues/498> from gavanderhoorn/remove_ur_driver
    Remove obsolete driver and bringup pkgs
  * meta: remove driver and bringup.
  * Merge pull request #371 <https://github.com/ros-industrial/universal_robot/issues/371> from ipa-led/ur_description_args
    Urdf with args and yaml configuration
  * deleted ur_e specific repositories
    * moved ur_e_description meshes files to ur_description
  * Contributors: Felix Exner, Felix Exner (fexner), G.A. vd. Hoorn, Ludovic Delval, Nadia Hammoudeh García, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 09 Nov 2022 23:00:00 -0000

ros-noetic-universal-robots (1.2.5-1focal) focal; urgency=high

  * First release (of this package)
  * Contributors: gavanderhoorn, Nadia Hammoudeh García

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-universal-robots
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/universal_robots
Standards-Version: 3.9.2

Package: ros-noetic-universal-robots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-ur-description, ros-noetic-ur-gazebo, ros-noetic-ur10-moveit-config, ros-noetic-ur10e-moveit-config, ros-noetic-ur12e-moveit-config, ros-noetic-ur16e-moveit-config, ros-noetic-ur20-moveit-config, ros-noetic-ur3-moveit-config, ros-noetic-ur30-moveit-config, ros-noetic-ur3e-moveit-config, ros-noetic-ur5-moveit-config, ros-noetic-ur5e-moveit-config, ros-noetic-ur7e-moveit-config
Description: ROS-Industrial support for Universal Robots manipulators (metapackage).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-universal-robots//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
